// A simple compilable script for demonstrating the Geometry service.
// to compile and run, execute '.x example.cxx' from the ROOT command line.
 
#include "Geometry.h"
#include "example_readValues.h"

#include <iostream>
#include <map>
#include <string>

#include "TROOT.h"
#include "TSystem.h"

void example_draw(string valuesFilePath, string valuesFileName){
  cout << "Running the main program example_draw on file " << valuesFilePath << valuesFileName << endl;
  
  // create the geometry service
  // see Geometry.h
  Geometry* geo = new Geometry("geo/hec_geo_050424.dat", "geo/emec_geo_050424.dat", "geo/global_geo_040506.dat");

  // read from a file a offlineID keyed map of float values to plot
  map<int, float> valuesMap = example_readValues(valuesFilePath + valuesFileName);

  // draw 2D colour maps of these values
  // see Geometry.h for options
  geo->draw2DHec(valuesMap, 0, false, 0., 0., valuesFileName, -2);
  geo->draw2DEmec(valuesMap, 0, false, 0., 0., valuesFileName, -2);

  // draw in more details
  // see Geometry.h for options
  geo->draw2DHecDetail(valuesMap, 0, false, 0., 0., valuesFileName, -2);
  geo->draw2DEmecDetail(valuesMap, 0, false, 0., 0., valuesFileName, -2);

}
