// read offlineID keyed map of float values
// the input file format is simple:
// # precedes comment lines
// other lines have pairs of int float
// see example_values.dat

#include "example_readValues.h"

#include <iostream>
#include <fstream>
#include <sstream>
#include <map>
#include <string>

#include "TROOT.h"
#include "TSystem.h"

map<int, float> example_readValues(string valuesFileFullPath) {

  ifstream fStream(valuesFileFullPath.c_str());// open the file stream

  // exit of we have the wrong file name
  if (!fStream.is_open()) {
    cout << "Failed to open file:" << valuesFileFullPath << endl;
    exit(1);
  }

  // prepare output map
  map<int, float> valuesMap;

  // read the values
  string line;
  istringstream inStream; 
  while (getline(fStream, line)) {  // read line into line
    //    cout << "line[0] = " << line[0] << endl;
    if (line[0] != '#') {  // skip line if starting with #
      inStream.clear();
      inStream.str(line);  // use line as stream input
      int offlineID;
      float value;
      if (inStream >> offlineID >> value) {  // read in offlineID and value
        valuesMap[offlineID] = value;
        //        cout << "valuesMap[" << offlineID << "] = " << value << endl;
      } else {
        cout << "bad format in value file " << valuesFileFullPath << endl;
        exit(1);
      }
    }
  }

  fStream.close();

  return valuesMap;
}
